<?php
/**
 * @package     com_easyshop
 * @version     1.1.0
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2016 - 2017 All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;

/**
 * @var $currency \ES\Currency
 * @var $cart     \ES\Cart
 */

$cart = easyshop('class.cart');
$data = $cart->extractData();

?>
<div class="es-summary-wrap uk-height-1-1">
    <div class="uk-panel uk-padding-small uk-background-default es-border"
         uk-sticky="media: 960; bottom: #es-sticky-bottom">
        <div class="es-cart-summary">
            <h3 class="es-panel-title">
                <div class="uk-badge uk-badge-notification">
					<?php echo $data['count']; ?>
                </div>
				<?php echo JText::_('COM_EASYSHOP_YOUR_CART'); ?>
            </h3>
			<div class="uk-margin">
				<?php foreach ($data['items'] as $item): ?>
                    <div class="uk-grid-small uk-padding-remove uk-margin-remove" uk-grid>
                        <div class="uk-width-expand">
							<?php echo $item['product']->name . '<strong> x ' . $item['quantity'] . '</strong>'; ?>
							<?php if (!empty($item['product']->images[0]->tiny)): ?>
                                <img class="uk-preserve-width uk-display-inline-block"
                                     src="<?php echo $item['product']->images[0]->tiny; ?>" width="30"/>
							<?php endif; ?>
                        </div>
                        <div class="es-cart-price uk-text-right">
							<?php echo $displayData['currency']->toFormat($item['salePrice'], true); ?>
                        </div>
                    </div>
				<?php endforeach; ?>
            </div>
            <div class="uk-grid-small uk-padding-remove uk-margin-remove" uk-grid>
                <div class="uk-width-expand uk-text-bold" uk-leader="fill: .">
					<?php echo JText::_('COM_EASYSHOP_SUBTOTAL'); ?>
                </div>
                <div>
					<?php echo $displayData['currency']->toFormat($data['subTotal'], true); ?>
                </div>
            </div>

			<?php if ($data['totalTaxes'] > 0.00): ?>
                <div class="uk-grid-small uk-padding-remove uk-margin-remove" uk-grid>
                    <div class="uk-width-expand uk-text-bold" uk-leader="fill: .">
						<?php echo JText::_('COM_EASYSHOP_TAXES'); ?>
                    </div>
                    <div>
						<?php echo $displayData['currency']->toFormat($data['totalTaxes'], true); ?>
                    </div>
                </div>
			<?php endif; ?>

			<?php if ($data['orderDiscount'] > 0.00): ?>
                <div class="uk-grid-small uk-padding-remove uk-margin-remove" uk-grid>
                    <div class="uk-width-expand uk-text-bold" uk-leader="fill: .">
						<?php echo JText::_('COM_EASYSHOP_ORDER_DISCOUNT'); ?>
                    </div>
                    <div>
						<?php echo $displayData['currency']->toFormat($data['orderDiscount'], true); ?>
                    </div>
                </div>
			<?php endif; ?>

			<?php if ($data['totalShip'] > 0.00): ?>
                <div id="es-shipping" class="uk-grid-small uk-padding-remove uk-margin-remove" uk-grid>
                    <div class="uk-width-expand uk-text-bold" uk-leader="fill: .">
						<?php echo JText::_('COM_EASYSHOP_SHIPPING'); ?>
                    </div>
                    <div>
						<?php echo $displayData['currency']->toFormat($data['totalShip'], true); ?>
                    </div>
                </div>
			<?php endif; ?>

			<?php if ($data['paymentFee'] > 0.00): ?>
                <div id="es-payment-fee" class="uk-grid-small uk-padding-remove uk-margin-remove" uk-grid>
                    <div class="uk-width-expand uk-text-bold" uk-leader="fill: .">
						<?php echo JText::_('COM_EASYSHOP_PAYMENT_FEE'); ?>
                    </div>
                    <div>
						<?php echo $displayData['currency']->toFormat($data['paymentFee'], true); ?>
                    </div>
                </div>
			<?php endif; ?>

            <div id="es-grand-total" class="uk-text-lead uk-text-right">
				<?php echo $displayData['currency']->toFormat($data['grandTotal'], true); ?>
            </div>
        </div>
		<?php if (!empty($displayData['note'])): ?>
			<?php echo $displayData['note']; ?>
		<?php endif; ?>
    </div>
</div>
<div id="es-sticky-bottom"></div>